using System.ComponentModel;

namespace RB_MES_API.Models
{
    /// <summary>
    /// ERP工单物料需求信息，向ERP推送以及向ERP查询
    /// </summary>
    public class UPDATE_WPLAN_MN
    {
        [DisplayName("ERP工单编码")]
        public string ERP_MO { get; set; }=string.Empty;
        [DisplayName("ERP工单行号")]
        public string MO_SEQ { get; set; } = string.Empty;
        [DisplayName("工单物料需求单号")]
        public string ERP_ID { get; set; } = string.Empty;
        [DisplayName("工单物料需求单行号")]
        public decimal SEQ { get; set; }
        [DisplayName("成品编码")]
        public string PROD_ID { get; set; } = string.Empty;
        [DisplayName("计划数量")]
        public decimal P_QTY { get; set; }
        [DisplayName("物料编码")]
        public string MTRL_ID { get; set; } = string.Empty;
        [DisplayName("是否主料(Y/N)")]
        public string IS_MAIN { get; set; } = "Y";
        //[DisplayName("是否替代(Y/N)")]
        //public string IS_REPLACE { get; set; } = "N";
        [DisplayName("主料编码")]
        public string MAIN_ID { get; set; } = string.Empty;
        [DisplayName("用量")]
        public decimal DOSAGE { get; set; }
        [DisplayName("净需求数量")]
        public decimal NN_QTY { get; set; }
        [DisplayName("实际需求数量")]
        public decimal TN_QTY { get; set; }
        [DisplayName("点位信息")]
        public string POINT_STR { get; set; } = string.Empty;       //多个用豆号分隔
        [DisplayName("是否返还件(Y/N)")]
        public string IS_BACK { get; set; } = "N";
        public string MTRL_VER { get; set; } = string.Empty;
    }
}
